%global commit c48e1fb068e1b4e4f1c8600904d61d1dddda5a54
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           javaewah
Version:        0.7.8
Release:        %mkrel 2
Summary:        A word-aligned compressed variant of the Java bitset class

Group:          Development/Java
License:        ASL 2.0
URL:            http://code.google.com/p/javaewah/
Source0:        https://github.com/lemire/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

# This can be removed if pull request on github is accepted
# https://github.com/lemire/javaewah/pull/22
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4


%description
JavaEWAH is a word-aligned compressed variant of the Java bitset class.
It uses a 64-bit run-length encoding (RLE) compression scheme.

The goal of word-aligned compression is not to achieve the best
compression, but rather to improve query processing time. Hence, we try
to save CPU cycles, maybe at the expense of storage. However, the EWAH
scheme we implemented is always more efficient storage-wise than an
uncompressed bitmap (implemented in Java as the BitSet class). Unlike
some alternatives, javaewah does not rely on a patented scheme.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -qn %{name}-%{commit}

cp %{SOURCE1} .

%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG README LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.8-2.mga4
+ Revision: 541778
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 0.7.8-1.mga4
+ Revision: 496432
- New version

* Wed Sep 25 2013 dmorgan <dmorgan> 0.6.12-2.mga4
+ Revision: 486313
- Rebuild against new javapackages

* Thu Jul 18 2013 dmorgan <dmorgan> 0.6.12-1.mga4
+ Revision: 455834
- imported package javaewah


* Sun Jun 09 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.6.12-1
- Initial package.
